Bug#618739: feel++: amd64 dependencies out of sync with build-deps, archive

Aaron M. Ucko ucko at debian.org
Fri Mar 18 01:38:39 UTC 2011

Package: feel++
Version: 0.90.0-1
Severity: grave
Justification: renders package unusable (uninstallable)

Hello again.

On amd64 (the only architecture for which feel++ binaries exist on
account of #618724), libfeel++1 and feel++-apps have two dependencies
without corresponding build dependencies, one of which isn't even in
the archive (hence the severity of this bug).  Specifically, both
packages depend on libmadlib1 (not available even in experimental or
NEW, though I do see a libmadlib with a versionless name) and
libvtk5.6 even though feel++ build-depends on neither libmadlib-dev
nor libvtk5.6-dev.

In general, for any libraries on which your packages could potentially
depend, you should decide whether you want them to (or even legally
can, though I have no idea whether that's an issue here) and proceed
accordingly: if you want a dependency, you should declare a
corresponding build dependency, and if you don't, you should either
declare a corresponding build conflict or better yet direct the build
system to ignore the library in question if possible.  (That's
typically straightforward for packages using autotools, which accept
--without-PACKAGE flags; I'm not sure how things stand with CMake.)

Moreover, if you do decide to keep a dependency on madlib, please
build against the version in unstable so as to wind up with a
satisfiable dependency on libmadlib rather than an unsatisfiable one
on libmadlib1.


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

More information about the debian-science-maintainers mailing list